Cloning Host: Device Identifier has already been taken

08/18/2017 10:57 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Host creation   

Target version: 1.15.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.15.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4754

  

Description

When cloning a host with a nic with a interface identifier set, the interface identifier is correctly copied from the original host. Even if

the original and cloned hosts just have a single interface each, the cloned host's device identifier field is marked as invalid because

the value "has already been taken".

When the interface is cloned, the host_id is copied from the original host. The uniqueness validation is scoped to host_id.

Associated revisions

Revision adbb8b53 - 08/20/2017 01:52 AM - Timo Goebel

fixes #20646 - clear host_id during interface cloning

Revision c23ae988 - 09/13/2017 09:01 AM - Timo Goebel

fixes #20646 - clear host_id during interface cloning

(cherry picked from commit adbb8b53355314e1ee3bf0002ec6b224a911b31e)

History

#1 - 08/18/2017 11:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4754 added

#2 - 08/18/2017 02:27 PM - Marek Hulán

What a bug :-) I saw the PR, from quick look I think it's ready to merge. I'll try to test it next week, if someone won't get to it earlier.

#3 - 08/20/2017 01:55 AM - Ohad Levy

- translation missing: en.field_release set to 287

I'm proposing this to 15.4, feel free to ack/nack as needed.

#4 - 08/20/2017 02:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset adbb8b53355314e1ee3bf0002ec6b224a911b31e.
